import request from '@/utils/request'
import { URL } from '@/config'

export function getBaseList(params) {
  return request({
    url: URL.edu.lecturercategory.getList,
    method: 'get',
    params,
  })
}

export function getChooseTree(params) {
  return request({
    url: URL.edu.lecturercategory.getChooseTree,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.edu.lecturercategory.add,
    method: 'post',
    data,
  })
}

export function editState(data) {
  return request({
    url: URL.edu.lecturercategory.editState,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.edu.lecturercategory.doDelete,
    method: 'post',
    data,
  })
}
